function love.load()

	player = love.graphics.newImage("images/derp.png")
	bg = love.graphics.newImage("images/bg.png")
	reticule = love.graphics.newImage("images/reticule.png")
	pistol = love.graphics.newImage("images/pistol.png")
	
	
	love.mouse.setVisible(false)
	pX = 100
	pY = 100
	
	bullets = {}
	bulletSpeed = 200
	
	
end

function love.mousepressed(x, y, button)
    if button == "l" then
         startX = pX + 16
         startY = pY + 24
         mouseX = x
         mouseY = y
       
         angle = math.atan2((mouseY - startY), (mouseX - startX))
       
         bulletDx = bulletSpeed * math.cos(angle)
         bulletDy = bulletSpeed * math.sin(angle)
       
        table.insert(bullets, {x = startX, y = startY, dX = bulletDx, dY = bulletDy})
    end
	print(pistolX)
end


function love.update(dt)
	
	if love.keyboard.isDown("left","a") == true then
		pX = pX - 200*dt
	end	
	if love.keyboard.isDown("right","d") == true then
		pX = pX + 200*dt
	end	
	if love.keyboard.isDown("up","w") == true then
		pY = pY - 200*dt
	end	
	if love.keyboard.isDown("down","s") == true then
		pY = pY + 200*dt
	end	

	mX,mY = love.mouse.getPosition()
	
	pRot = math.atan2((mY - pY), (mX - pX))
	
	pistolX = (pX )--+ 16)
	pistolY = (pY )--+ 24)
	
	for i,v in ipairs(bullets) do
		v["x"] = v["x"] + (v["dX"] * dt)
        v["y"] = v["y"] + (v["dY"] * dt)
	end
end


function love.draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(bg, 0, 0)
	love.graphics.draw(player, pX, pY, pRot, 2, 2, 16, 16)
	love.graphics.draw(pistol, pistolX, pistolY, pRot, 2, 2, -8, -12)
	love.graphics.draw(reticule, mX, mY)
	
	love.graphics.setColor(64, 64, 64)
	for i,v in ipairs(bullets) do
		love.graphics.circle("fill", v["x"], v["y"], 2)
	end
	
	--love.graphics.setColor(255,0,0)
	--love.graphics.line(pX,pY,pistolX,pistolY)
end